Bug 1728986 - Avoid flashing text for broken links
Summary: Avoid flashing text for broken links
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 07:12 UTC by Milan Crha
Modified: 2019-10-15 22:39 UTC (History)
11 users (show)

Fixed In Version: coreutils-8.31-3.fc31 coreutils-8.31-5.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-23 13:08:21 UTC


Attachments (Terms of Use)

Description Milan Crha 2019-07-11 07:12:41 UTC
This is with coreutils-8.31-2.fc30.x86_64

When a link references non-existent file or directory, the `ls -l` shows the link target with red background and white flashing text in it. The flashing text has some issues:
a) it's quite distracting and even if I fix the link the terminal still shows it
   flashing few lines above - I do not want to clear the terminal content,
   because I need to see other text in there
b) when the target link is long and you cannot copy it with mouse you need to
   re-type it, thus read it. The flashing makes this quite depressing, when the
   text is there, is not there, is there, is not there, is there,....
c) I've been told, long time ago, that changing icons which try to warn about
   something should not do that ad infinity, it's enough to flash like 10 times
   and then stop flashing - that time it was for power consumption reasons; this
   flashing text may (or may not) be a similar case
d) it's enough to have the white text on a red background to have it highlighted
   as an error, there's really no need for the awful flashing.

This flashing reminded me about all the advertising banners on the web sites, which also change their content (thus flash) all the time, which is very distracting when one wants to read the text of the page.

Could you make it not flash, please?

Comment 1 Kamil Dudka 2019-07-16 11:17:11 UTC
I agree that it does not have to blink.  On the other hand, Fedora is not the only distribution that patches GNU coreutils to blink on broken symlinks.  For example Gentoo Linux uses a similar patch:

https://github.com/mini-distribution/cross-core/blob/master/coreutils/030_all_coreutils-more-dir-colors.patch#L17

Anyway, let's try to modify the patch such that it does not blink, as you suggest...

Comment 2 Kamil Dudka 2019-07-16 11:21:17 UTC
dist-git commit: https://src.fedoraproject.org/rpms/coreutils/c/07291932

Comment 3 Milan Crha 2019-07-16 11:27:38 UTC
Thanks a lot, I appreciate it.

Comment 4 Fedora Update System 2019-10-11 13:57:04 UTC
FEDORA-2019-f5f47530f1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f5f47530f1

Comment 5 Fedora Update System 2019-10-12 02:02:36 UTC
coreutils-8.31-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f5f47530f1

Comment 6 Fedora Update System 2019-10-15 22:39:41 UTC
coreutils-8.31-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.